!set title=Vitesse
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Karine MAURICE et Bernadette PERRIN-RIOU
email=kreen.maurice@free.fr,bpr@math.u-psud.fr
computeanswer=no
precision=100

ansorder=r,r,r,c
varcnt=27
prevarcnt=26
postvarcnt=0
replycnt=3
choicecnt=1
conditioncnt=0
feedbackcnt=1
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 7, 11

val6=$[rint($(tmp0))]
tmp0=!randint $val6+1, $val6+4

val7=$[rint($(tmp0))]
tmp0=!randint 5, 58

val8=$[rint($(tmp0))]
tmp0=!randint 45, 100

val9=$[rint($(tmp0))]
tmp0=!randint 5, 58

val10=$[rint($(tmp0))]
tmp0=!randint 45, 100

val11=$[rint($(tmp0))]
tmp0=!randint 5, 58

val12=$[rint($(tmp0))]
tmp0=!randint 45, 100

val13=$[rint($(tmp0))]
val14=$[ceil($val9*$val8/60*100)/100]
val15=$[ceil($val11*$val10/60*100)/100]
val16=$[ceil($val13*$val12/60*100)/100]
val17=$[ceil(($val14+$val15+$val16)*100)/100]
val18=$[$val8+$val10+$val12]
val19=$[rint(floor($val18/60))]
val20=$[rint(floor($val19))]
val21=$[rint($val18-60*$val20)]
val22=$[rint($val20+$val6)]
val23=$[ceil(($val17/($val18/60))*100)/100]
val24=oui,non

!ifval $val7>$val6+$val19
tmp0=!item 1 of $val24

val25=$(tmp0)
!else
tmp1=!item 2 of $val24

val25=$(tmp1)
!endif
val26=pendant $val8 minutes à une vitesse de $val9 km/h, pendant $val8	 minutes durant $val14 km, pendant $val14 km à une vitesse de $val9 km/h
val27=pendant $val10 minutes à une vitesse de $val11 km/h, pendant $val10	 minutes durant $val15 km, pendant $val15 km à une vitesse de $val11 km/h
val28=pendant $val12 minutes à une vitesse de $val13 km/h, pendant $val12	 minutes durant $val16 km, pendant $val16 km à une vitesse de $val13 km/h
tmp=!nonempty items $val26

tmp0=!randitem $tmp
val29=$(tmp0)
tmp=!nonempty items $val27

tmp0=!randitem $tmp
val30=$(tmp0)
tmp=!nonempty items $val28

tmp0=!randitem $tmp
val31=$(tmp0)
oefsteps=reply1	reply2	reply3	choice1 
nextstep=!nosubst reply1	reply2	reply3	choice1 
!readproc oef/steps.proc
replytype1=units
replyname1=Distance parcourue
replygood1=$val17 km
replytype2=units
replyname2=Temps de parcours
replygood2=$val20 h $val21 min
replytype3=units
replyname3=Vitesse moyenne
replygood3=$val23 km/h
choicename1=
choicegood1=$val25
choicebad1=$val24
question=__EXECUTED_1692754_EXERCISE__
hint=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	Monsieur Rapide part de Paris à $val6 h00 et roule d'abord $val29, 	puis $val30, et enfin $val31.	<p>	 
!if $m_step=1 
$()Combien de kilomètres a-t-il parcouru (par excès à 0.01 près)?  
!endif
$()	 
!if $m_step>=2 
$()Il a parcouru $val17 km. 
!endif
$()	 
!if $m_step=2 
$()<p>Combien de temps son trajet a-t-il duré? 
!endif
$()	 
!if $m_step>=3 
$()Son trajet a duré $val20 h $val21 mn. 
!endif
$()	 
!if $m_step=3 
$()<p>Quelle est sa vitesse moyenne sur la totalité du parcours?  
!endif
$()	 
!if $m_step>=4 
$()Sa vitesse moyenne sur la totalité du parcours est $val23 km/h. 
!endif
$()	 
!if $m_step=4 
$()<p>Il a rendez-vous à $val7 h00. Sera-t-il à l'heure?  
!read oef/embed.phtml choice1 
$() 
!endif
$()	<p><b><font color="purple">Consigne : mettre les unités :par exemple 3  km, 5 km/s , 1h 32min (laisser un espace).	</font></b>
$()
!exit

:hint
$()	 
!if $m_step=1 
$()On calcule la distance à partir du temps de parcours 	(en heures) et de la vitesse par la relation suivante : 
!insmath d=v*t
$() 
!endif
$()	 
!if $m_step=2 
$()Le fait qu'il soit ou non à l'heure dépend de son heure d'arrivée 	et donc de son temps de trajet 
!endif
$()	
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback
!if $m_step>=4 $m_choice1 notsametext $val25
 <p>Son temps de trajet est de $val20 h $val21 min. Il arrive 	donc à $val22 h $val21 min, ce qui est bien  
!if $val7>=$val6+$val19 
$()avant 
!else
$() après 
!endif
$()	son heure de rendez-vous. 
$()
!endif

!exit

:test

!exit

:stat
vsavelist=6,7,17,19,20,21,22,23,25,29,30,31
embedcnt=1
